# BumpMapping.cpp File Reference

`#include <osgFX/BumpMapping>`
`#include <osgFX/Registry>`
`#include <osg/VertexProgram>`
`#include <osg/FragmentProgram>`
`#include <osg/Texture2D>`
`#include <osg/Depth>`
`#include <osg/TexEnv>`
`#include <osg/TexEnvCombine>`
`#include <osg/BlendFunc>`
`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osgUtil/TangentSpaceGenerator>`
`#include <osgDB/ReadFile>`
`#include <sstream>`

Include dependency graph for BumpMapping.cpp: